input[type=checkbox] {
    appearance: none;
    background-color: #ffffff;
	border: 1px solid #cacece;
	/* box-shadow: 0 1px 2px rgba(0,0,0,0.05), inset 0px -15px 10px -12px rgba(0,0,0,0.05); */
	padding: 9px;
	border-radius: 3px;
	display: inline-block;
    position: relative;
    vertical-align: text-bottom;
}

input[type=checkbox]:active, input[type=checkbox]:checked:active {
	box-shadow: 0 1px 2px rgba(0,0,0,0.05), inset 0px 1px 3px rgba(0,0,0,0.1);
}

input[type=checkbox]:checked {
	background-color: #3c0c44;
	/* border: 1px solid #adb8c0; */
	/* box-shadow: 0 1px 2px rgba(0,0,0,0.05), inset 0px -15px 10px -12px rgba(0,0,0,0.05), inset 15px 10px -12px rgba(255,255,255,0.1); */
	/* color: #99a1a7; */
}

input[type=checkbox]:checked:after {
	content: '\2714';
    font-size: 14px;
    position: absolute;
    top: 0px;
    left: 3px;
    color: #ffffff;
}

input[type='range'] {
    overflow: hidden;
    width:260px;
    -webkit-appearance: none;
    border-radius: 10px;
    background-color: rgb(181, 181, 181);
    height: 12px;
    margin: 10px 5px;
  }
  
  input[type='range']::-webkit-slider-thumb {
    width: 12px;
    -webkit-appearance: none;
    height: 12px;
    cursor: ew-resize;
    background:red;
    box-shadow: -135px 0 0 130px #3c0c44;
    border-radius: 10px;
    border:solid 3px white
}

#equSpeed {
  text-align: center;
  margin-top: -10px;
  margin-bottom: 10px;
}

input[type='number']{
    font : 12px/1.5 "Muli", "Helvetica Neue", Arial, Helvetica, sans-serif;
    width: 50px;
    text-align: center;
}

#dataPanel select {
  appearance: none;
  background-color: transparent;
  border: none;
  padding: 0 1em 0 0;
  margin: 0;
  width: 100%;
  cursor: inherit;
  line-height: inherit;
  font : 12px/1.5 "Muli", "Helvetica Neue", Arial, Helvetica, sans-serif;
}

.custom-select {
    border: 1px solid #777;
    border-radius: 0.25em;
    padding: 0.25em 0.5em;
    cursor: pointer;
    background-color: #fff;
    display: inline-grid;
    grid-template-areas: "select";
    align-items: center;
}

#dataPanel select,
.custom-select:after {
  grid-area: select;
}

.custom-select::after {
    content: "";
    width: 0.8em;
    height: 0.5em;
    background-color: #777;
    clip-path: polygon(100% 0%, 0 0%, 50% 100%);
    justify-self: end;
}

.switch {
  position: relative;
  display: inline-block;
  width: 36px;
  height: 14px;
  vertical-align: middle;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.38);
  transition: .4s;
  border-radius: 34px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 0;
  top: -3px;
  background-color: white;
  transition: .4s;
  box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
    background-color: #fafafa;
    border-radius: 50%;
}

input:checked + .slider {
  background-color: rgba(255, 0, 0, 0.38);
}

input:checked + .slider:before {
  transform: translateX(20px);
  background-color: red
}